> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Period Task Review



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /admin_api/tasks/period-review
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/tasks/period-review:
    get:
      tags:
        - tasks
        - quanta-services-api
      summary: Get Period Task Review
      operationId: getPeriodTaskReview
      parameters:
        - name: workbook_period_qid
          in: query
          required: true
          schema:
            type: string
            title: Workbook Period Qid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PeriodTaskReviewResponse'
                title: Response Getperiodtaskreview
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PeriodTaskReviewResponse:
      properties:
        occurrence_qid:
          type: string
          title: Occurrence Qid
        leaf_key:
          type: string
          title: Leaf Key
        leaf_version_qid:
          type: string
          title: Leaf Version Qid
        title:
          type: string
          title: Title
        enabled:
          type: boolean
          title: Enabled
        stage:
          $ref: '#/components/schemas/TaskStage'
        display_order:
          anyOf:
            - type: integer
            - type: 'null'
          title: Display Order
        schedule_type:
          $ref: '#/components/schemas/TaskScheduleType'
        schedule_offset_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schedule Offset Days
        auto_run:
          type: boolean
          title: Auto Run
        state:
          $ref: '#/components/schemas/TaskOccurrenceState'
        due_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Due At
        done_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Done At
        latest_run_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Run Qid
        run_count:
          type: integer
          title: Run Count
        open_action_count:
          type: integer
          title: Open Action Count
        latest_run_status:
          anyOf:
            - $ref: '#/components/schemas/CloseReviewRunStatus'
            - type: 'null'
        latest_run_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Run Error
        review_items:
          items:
            $ref: '#/components/schemas/TaskReviewItemResponse'
          type: array
          title: Review Items
      type: object
      required:
        - occurrence_qid
        - leaf_key
        - leaf_version_qid
        - title
        - enabled
        - stage
        - display_order
        - schedule_type
        - schedule_offset_days
        - auto_run
        - state
        - due_at
        - done_at
        - latest_run_qid
        - run_count
        - open_action_count
        - latest_run_status
        - latest_run_error
        - review_items
      title: PeriodTaskReviewResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskStage:
      type: string
      enum:
        - RECONCILIATIONS
        - MANUAL_TASKS
        - REVIEWS
        - FINAL_REVIEW
      title: TaskStage
    TaskScheduleType:
      type: string
      enum:
        - MANUAL
        - PERIOD_END_OFFSET
      title: TaskScheduleType
    TaskOccurrenceState:
      type: string
      enum:
        - UPCOMING
        - READY
        - RUNNING
        - NEEDS_REVIEW
        - BLOCKED
        - FAILED
        - COMPLETE
      title: TaskOccurrenceState
    CloseReviewRunStatus:
      type: string
      enum:
        - PREPARING
        - RUNNING
        - NEEDS_ATTENTION
        - COMPLETED
        - FAILED
        - INTERRUPTED
      title: CloseReviewRunStatus
    TaskReviewItemResponse:
      properties:
        qid:
          type: string
          title: Qid
        artifact_key:
          type: string
          title: Artifact Key
        kind:
          $ref: '#/components/schemas/TaskArtifactKind'
        status:
          $ref: '#/components/schemas/TaskArtifactStatus'
        label:
          type: string
          title: Label
        summary:
          type: string
          title: Summary
        related_records:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: Related Records
        result_record:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Result Record
        action_type:
          anyOf:
            - $ref: '#/components/schemas/ProposalActionType'
            - type: 'null'
        latest_source_type:
          $ref: '#/components/schemas/TaskArtifactSourceType'
        latest_source_qid:
          type: string
          title: Latest Source Qid
        latest_source_decision_key:
          type: string
          title: Latest Source Decision Key
        resolved_by_user_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolved By User Qid
        resolved_by_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolved By Name
        resolved_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Resolved At
        resolution_reason_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolution Reason Code
        resolution_note:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolution Note
      type: object
      required:
        - qid
        - artifact_key
        - kind
        - status
        - label
        - summary
        - related_records
        - result_record
        - action_type
        - latest_source_type
        - latest_source_qid
        - latest_source_decision_key
        - resolved_by_user_qid
        - resolved_by_name
        - resolved_at
        - resolution_reason_code
        - resolution_note
      title: TaskReviewItemResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TaskArtifactKind:
      type: string
      enum:
        - CHECK
        - INPUT
        - PROPOSAL
        - RECORD
      title: TaskArtifactKind
    TaskArtifactStatus:
      type: string
      enum:
        - PASSED
        - READY
        - PROVISIONAL
        - NEEDS_INPUT
        - BLOCKED
        - REVIEW
        - RESOLVED
        - APPLIED
        - PARTIALLY_APPLIED
        - NOT_RIGHT
        - IRRELEVANT
        - SUPERSEDED
      title: TaskArtifactStatus
    ProposalActionType:
      type: string
      enum:
        - create_manual_journal_entry
        - edit_journal_entry
        - open_record
        - request_input
        - update_booking
        - update_vendor_mapping
        - publish_leaf
        - remove_duplicate_payroll
        - remove_duplicate_invoice
      title: ProposalActionType
    TaskArtifactSourceType:
      type: string
      enum:
        - CLOSE_REVIEW_RUN
        - WORK_TURN
        - OPERATOR
      title: TaskArtifactSourceType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.